Bug 990701 - Declared Fact Types in BRMS limited to 255 fields
Declared Fact Types in BRMS limited to 255 fields
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: GA
: ---
Assigned To: Geoffrey De Smet
Jiri Locker
:
Depends On:
Blocks: 986451
  Show dependency treegraph
 
Reported: 2013-07-31 15:33 EDT by Amana
Modified: 2013-09-13 09:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3621 Major Closed Declared types : Constructor with more than 255 parameters 2016-10-13 05:49 EDT

  None (edit)
Description Amana 2013-07-31 15:33:00 EDT
Description of problem:

When creating fact types declaratively in BRMS (5.2 and 5.3.0) no more than 255 fields can be added. We need to create fact types with more than 255 fields.

In the GUI, when clicking "Validate" after adding enough fields to a declared fact type to exceed a total of about 255, we get a popup saying:

"400 Sorry, a technical error occurred. Please contact a system administrator."

In the console stack trace we see "java.lang.ClassFormatError: Too many arguments in method signature"
Comment 1 Edson Tirelli 2013-08-14 10:12:27 EDT
Fix backported.
Comment 2 Jiri Locker 2013-09-13 09:13:02 EDT
Verified. 1,000 fields can be added, validation OK.

Note You need to log in before you can comment on or make changes to this bug.